{
    "fields": [
        {
            "default": null,
            "doc": "The command line used to run this program.",
            "name": "commandLine",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The user specified ID of the program.",
            "name": "id",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The name of the program.",
            "name": "name",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The ID of the program run before this one.",
            "name": "prevProgramId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "The version of the program run.",
            "name": "version",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "Program",
    "namespace": "org.ga4gh.models",
    "type": "record"
}